// (c) Copyright 2001-2002 iwombat.com all rights reserved
package com.iwombat.foundation.persist;

/**
 * Class AbstractTransactionalDAO
 * Description: Abstract class to support management of a TransactionToken object
 *
 * @author  $Author: brentp $
 * @version $Revision: 1.3 $
 * 
 * <br>
 * <dl><dt><b>Date:</b><dd>$Date: 2002/11/18 16:04:39 $</dd></dl>
 */
import com.iwombat.foundation.DomainObject;

public abstract class AbstractTransactionalDAO implements TransactionalDAO {
    
    private TransactionToken transactionToken;
    

    /**
     * sets the current transaction token
     * 
     * @param the transaction token to set
     */
    public void setTransactionToken(TransactionToken newTransactionToken){
        this.transactionToken=newTransactionToken;
    }
    
    /**
     * retrieves the currently set transaction token
     *
     * @param the currently set transaction token
     */
    public TransactionToken getTransactionToken(){
        return this.transactionToken;
    }
    
}
