/* Portions Copyright (c) 2005 Financial Management Service and specially
 *  designated fiscal or financial agents
 * Portions Copyright (c) 2005 RAF Technology, Inc.
 *
 * This software shall not be used, reproduced, sold or disclosed in whole or
 * in part without the express written permission of RAF Technology, Inc.,
 * except to the extent Financial Management Service and specially designated
 * fiscal or financial agents have been granted specific rights under license. */
package com.iwombat.foundation;

import junit.framework.TestCase;

/**
 * Tests {@link com.raf.foundation.IdentifierFactory}.
 * @author bobc
 */
public class IdentifierFactoryTest extends TestCase {

    public IdentifierFactoryTest(String name) {
		super(name);
		// TODO Auto-generated constructor stub
	}

	/**
     * Test method for 'com.raf.foundation.IdentifierFactory.createUniqueIdentifier()'
     */
    public void testCreateUniqueIdentifier() {
        Identifier id = IdentifierFactory.createUniqueIdentifier();
        assertEquals("Identifier is not 16 bytes", id.getValue().length, 16);

    }

    /**
     * Test method for 'com.raf.foundation.IdentifierFactory.createUniqueIdentifier(byte[])'
     */
    public void testCreateUniqueIdentifierByteArray() {
        Identifier id = IdentifierFactory.createUniqueIdentifier();
        byte[] bytes = id.getValue();
        Identifier id2 = IdentifierFactory.createUniqueIdentifier(bytes);
        assertTrue("Reconstructed id is not equal", id.equals(id2));
    }

    /**
     * Test method for 'com.raf.foundation.IdentifierFactory.createUniqueIdentifier(String)'
     */
    public void testCreateUniqueIdentifierString() {
        Identifier id = IdentifierFactory.createUniqueIdentifier();
        String hexString = id.toHexString();
        Identifier id2 = IdentifierFactory.createUniqueIdentifier(hexString);
        assertTrue("Reconstructed id is not equal", id.equals(id2));
    }
    
   

}
