// (c) Copyright 2001-2002 iwombat.com all rights reserved

package com.iwombat.foundation;

import java.net.URL;
import java.net.MalformedURLException;
import com.iwombat.util.URLUtil;
/**
 * Retrieve the URL for the testTimeResources directory
 *
 * @author  $Author: bob $
 * @version $Revision: 1.1 $
 * 
 * <br>
 * <dl><dt><b>Date:</b><dd>$Date: 2002/10/14 05:13:33 $</dd></dl>
 */

public class TstTimeResourceLocator {
    private static final String TESTTIME_RESOURCES_SEED = "seed.xml";
    /** Creates a new instance of TstTimeResourceLocator */
    private TstTimeResourceLocator() {

    }
    
    public static URL getTstTimeResourceDir() {
        URL seedFile = TstTimeResourceLocator.class.getClassLoader().getResource(TESTTIME_RESOURCES_SEED);
        URL baseURL = null;
        try {
            baseURL = URLUtil.stripURLFile(seedFile);
        } catch (MalformedURLException e) {
            throw new RuntimeException("Can't create URL: " + e.getMessage());
        }
        return baseURL;
    }

    
}
