/*
 * RdbmsEggbeaterDAO.java
 *
 */

package com.iwombat.ri.kitchentools.persistence;

/**
 *
 */
import com.iwombat.ri.kitchentools.Eggbeater;
import com.iwombat.ri.kitchentools.EggbeaterImpl;

import com.iwombat.foundation.Identifier;

import com.iwombat.foundation.persist.*;
import com.iwombat.foundation.DomainObject;

import java.util.*;

public class EggbeaterRdbmsDAO extends AbstractTransactionalDAO implements EggbeaterDAO{
    
    private static final String INSERT_EGGBEATER="insertEggbeater";
    private static final String GET_EGGBEATER_BY_ID="getEggbeaterById";
    private static final String UPDATE_EGGBEATER="updateEggbeater";
    private static final String DELETE_EGGBEATER="deleteEggbeater";
    private static final String GET_EGGBEATER_LIST_BY_NAME="getEggbeaterListByName";
    
    /** Creates a new instance of RdbmsEggbeaterDAO */
    public EggbeaterRdbmsDAO() {
    }
    
public void createEggbeater(Eggbeater eggbeater){
        RdbmsDAOUtils.executeGenericPersistenceOperation(eggbeater, this, this.INSERT_EGGBEATER);
    }
    
    public Eggbeater getEggbeaterById(Identifier id){
    
        return (Eggbeater)RdbmsDAOUtils.executeGenericGetById(EggbeaterImpl.class, id, this, this.GET_EGGBEATER_BY_ID);
    }
    
    public void updateEggbeater(Eggbeater eggbeater){

        RdbmsDAOUtils.executeGenericPersistenceOperation(eggbeater, this, this.UPDATE_EGGBEATER);
    }
    
    public void deleteEggbeater(Eggbeater eggbeater){
        
        RdbmsDAOUtils.executeGenericPersistenceOperation(eggbeater, this, this.DELETE_EGGBEATER);
    }
    
    public Collection getEggbeaterListByBrand(String name) {
        
        GetByNameParameterBean paramBean = new GetByNameParameterBean(name);
        
        Collection barList = RdbmsDAOUtils.executeGenericFetchList(paramBean, Eggbeater.class, this.GET_EGGBEATER_LIST_BY_NAME);

        return barList;
    }
    
    public DomainObject createNewDomainObject() {
        
        return new EggbeaterImpl();
    }    
    
    /** Returns a new instance of the appropriate domain Object
     *
     * @return the new domain object instance
     */
    public DomainObject createNew() {

        //TODO: replace with call to Domain Object Factory
        return new EggbeaterImpl();
    }
    
}
