package com.iwombat.util;

import junit.framework.*;

/**
 *
 * @author combs
 */
public class BinaryCodedDecimalTest extends TestCase {
    
    private byte[] rawBCD = {(byte)0x12, (byte)0x34, (byte)0x56, (byte)0x78, (byte)0x90};  
    private long   longValue = 1234567890L;
    
    private long   shortValue = 7L;
    private byte[] rawShortBCD = {(byte)0x00, (byte)0x07};
    
    public BinaryCodedDecimalTest(java.lang.String testName) {
        super(testName);
    }
    
    public static void main(java.lang.String[] args) {
        junit.textui.TestRunner.run(suite());
    }
    
    public static Test suite() {
        TestSuite suite = new TestSuite(BinaryCodedDecimalTest.class);
        return suite;
    }
    
    // Add test methods here, they have to start with 'test' name.
    // for example:
    // public void testHello() {}
    
    public void testBCDtoLong() {
        long conversion = BinaryCodedDecimal.toLongValue(rawBCD);
        assertTrue("Conversion to long failed", (conversion == longValue));
        
        BinaryCodedDecimal bcd = new BinaryCodedDecimal(shortValue);
        byte[] derivedBCDValue = bcd.toRawBCDValue(2);
        assertTrue("Conversion to raw failed for short value", ByteArrayUtil.sameValue(derivedBCDValue, rawShortBCD));
        
    }
    
    
}
